package cc.fascinated.bat.common;

/**
 * @author Fascinated (fascinated7)
 */
public class EnumUtils {
    /**
     * Gets the name of the enum
     *
     * @param e the enum
     * @return the name
     */
    public static String getEnumName(Enum<?> e) {
        String[] split = e.name().split("_");
        StringBuilder builder = new StringBuilder();
        for (String s : split) {
            builder.append(s.substring(0, 1).toUpperCase()).append(s.substring(1).toLowerCase()).append(" ");
        }
        return builder.toString().trim();
    }
}
