package cc.fascinated.bat.features.moderation;

import cc.fascinated.bat.command.Category;
import cc.fascinated.bat.features.Feature;
import cc.fascinated.bat.features.moderation.command.PurgeCommand;
import cc.fascinated.bat.service.CommandService;
import lombok.NonNull;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.ApplicationContext;
import org.springframework.stereotype.Component;

/**
 * @author Fascinated (fascinated7)
 */
@Component
public class ModerationFeature extends Feature {
    @Autowired
    public ModerationFeature(@NonNull ApplicationContext context, @NonNull CommandService commandService) {
        super("Moderation", true,Category.MODERATION);

        super.registerCommand(commandService, context.getBean(PurgeCommand.class));
    }
}
